Skip to content

API V1 · Projects

List all projects

GET
/v1/projects
curl --request GET \
--url https://api.lingohub.com/v1/projects \
--header 'Authorization: Bearer YOUR_API_KEY'

Retrieves a list of all projects accessible by the authenticated user. This includes projects the user owns as well as projects they collaborate on across all workspaces.

Successfully returns the list of projects the authenticated user has access to.

Media typeapplication/json

A paginated list of projects within a workspace, with HATEOAS navigation links.

object
members

The list of projects in the workspace.

Array<object>

Summary information for a single project in a list response.

object
title

The title of the project.

string
links

HATEOAS links for the project (e.g. self link to project details).

Array<object>
object
href
string
hreflang
string
title
string
type
string
deprecation
string
profile
string
name
string
templated
boolean
links

HATEOAS links for navigating the project list (e.g. self, next, prev).

Array<object>
object
href
string
hreflang
string
title
string
type
string
deprecation
string
profile
string
name
string
templated
boolean

Examples

ExampleprojectList

Two projects in a workspace

ProjectList

{
"members": [
{
"title": " Feature Demo",
"links": [
{
"rel": "self",
"href": "https://api.lingohub.com/v1/lingohub-demo/projects/feature-demo"
}
]
},
{
"title": "Storyblok Demo",
"links": [
{
"rel": "self",
"href": "https://api.lingohub.com/v1/lingohub-demo/projects/storyblok-demo"
}
]
}
],
"links": [
{
"rel": "self",
"href": "https://api.lingohub.com/v1/projects"
}
]
}

Unauthorized: Authentication credentials are missing or invalid.

Media typeapplication/json
object
url
string
message
string
text
string

Example generated

{
"url": "example",
"message": "example",
"text": "example"
}